
Infrastructure - Bug #808

no response from CN REST if wrong Accept-Type by requester

2010-09-01 16:12 - Rob Nahf

Status: Closed Start date: 2010-10-07

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

When performing a call to resolve, if the accept-types declaration is not exactly what returnable (text/xml or application/xml), the call

fails with no return.  Should probably check other cn CRUD requests, too.  A good starting point is the request mappings in

proxy.ObjectController.

History

#1 - 2010-09-15 17:49 - Rob Nahf

- Status changed from New to In Progress

#2 - 2010-09-22 16:48 - Dave Vieglais

Perhaps use "@DefaultHandler" annotation?

#3 - 2010-09-23 16:40 - Matthew Jones

Also, if there is no Accept header at all, it doesn't return anything.  A good solution would be to set text/xml as a default Accept header if one isn't

otherwise provided by the calling client.

#4 - 2010-10-07 00:24 - Dave Vieglais

- Start date set to 2010-10-07

- Tracker changed from Bug to Task

- Target version deleted (CCI-0.5)

- Milestone set to CCI-0.5

- Parent task set to #958

#5 - 2010-10-07 12:39 - Dave Vieglais

- Tracker changed from Bug to Task

#6 - 2010-10-07 16:55 - Robert Waltz

- Target version set to Sprint-2010.40

#7 - 2010-10-07 16:55 - Robert Waltz

- Tracker changed from Task to Bug

#8 - 2010-10-07 16:56 - Robert Waltz

- Target version set to Sprint-2010.40

- Tracker changed from Task to Bug

#9 - 2010-10-07 16:59 - Robert Waltz
- Target version set to Sprint-2010.41

#10 - 2010-10-07 17:00 - Robert Waltz

- Parent task deleted (#958)

#11 - 2010-10-07 17:00 - Robert Waltz

- Target version set to Sprint-2010.40

#12 - 2010-10-07 17:06 - Robert Waltz

- Tracker changed from Task to Bug

#13 - 2010-10-07 18:19 - Rob Nahf

- Parent task set to #909

#14 - 2010-10-07 19:21 - Robert Waltz

- Subject changed from no response from CN resolve if wrong Accept-Type by requester to no response from CN REST if wrong Accept-Type by

requester

- Parent task deleted (#909)

- Tracker changed from Task to Bug

#15 - 2010-10-22 16:44 - Robert Waltz

- Position set to 1

- Position changed from 1 to 53

- Target version changed from Sprint-2010.41 to Sprint-2010.42

#16 - 2010-10-24 15:38 - Dave Vieglais

- Target version changed from Sprint-2010.42 to Sprint-2010.43

- Position deleted (48)

- Position set to 2

#17 - 2010-11-02 17:08 - Robert Waltz

- Status changed from In Progress to Closed

- Position set to 8

- Position deleted (13)
